Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocaleResolverHandler.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocaleResolverHandler.java	(revision 2249)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocaleResolverHandler.java	(revision 2250)
@@ -26,5 +26,4 @@
 
 import net.fckeditor.localization.LocaleResolver;
-import net.fckeditor.tool.Utils;
 
 import org.slf4j.Logger;
@@ -32,7 +31,10 @@
 
 /**
+ * This class wraps to a {@link LocaleResolver} implementation and retrieves
+ * localized strings for a given request. This class safely returns default
+ * strings if anything fails.
  * 
  * @version $Id$
- *
+ * 
  */
 public class LocaleResolverHandler {
@@ -44,23 +46,23 @@
 
 	static {
-		String fqcn = PropertiesLoader
+		String className = PropertiesLoader
 				.getProperty("localization.localeResolverImpl");
-		if (Utils.isEmpty(fqcn))
-			logger
-					.warn("No valid property found for 'localization.localeResolverImpl', using default bundle!");
-			
-		else {
-			try {
-				Class<?> clazz = Class.forName(fqcn);
-				localeResolver = (LocaleResolver) clazz.newInstance();
-				logger.info("LocaleResolver initialized to {}", localeResolver
-						.getClass());
-			} catch (Exception e) {
-				logger.error("Couldn't instantiate class [".concat(fqcn)
-						.concat("], default bundle will be used!!"), e);
-			}
+
+		try {
+			Class<?> clazz = Class.forName(className);
+			localeResolver = (LocaleResolver) clazz.newInstance();
+			logger.info("LocaleResolver initialized to {}", localeResolver
+					.getClass());
+		} catch (Exception e) {
+			logger.warn("Error while loading LocaleResolver implementation", e);
 		}
 	}
 
+	/**
+	 * Constructor which resolves the current user's locale.
+	 * 
+	 * @param request
+	 *            The current request instance.
+	 */
 	public LocaleResolverHandler(HttpServletRequest request) {
 		try {
@@ -73,4 +75,11 @@
 	}
 
+	/**
+	 * Retrieves a string for a given key.
+	 * 
+	 * @param key
+	 *            Given key.
+	 * @return Localized string or default string.
+	 */
 	public String getString(String key) {
 
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/AcceptLanguageHeaderResolver.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/AcceptLanguageHeaderResolver.java	(revision 2249)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/AcceptLanguageHeaderResolver.java	(revision 2250)
@@ -23,5 +23,4 @@
 import java.util.Locale;
 
-import javax.servlet.ServletRequest;
 import javax.servlet.http.HttpServletRequest;
 
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/JstlResolver.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/JstlResolver.java	(revision 2249)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/JstlResolver.java	(revision 2250)
@@ -30,5 +30,5 @@
 /**
  * This implementation maps directly to the JSTL locale mechanism. This is
- * recommended for thos who FMT tags for example.
+ * recommended for those who use FMT tags for example.
  * 
  * @version $Id$
@@ -36,4 +36,8 @@
  */
 public class JstlResolver implements LocaleResolver {
+	
+	public JstlResolver() {
+		Config.class.hashCode();
+	}
 
 	/*
Index: FCKeditor.Java/trunk/src/site/apt/ext_overview.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/ext_overview.apt	(revision 2249)
+++ FCKeditor.Java/trunk/src/site/apt/ext_overview.apt	(revision 2250)
@@ -19,5 +19,5 @@
 ~~ @version $Id$
 				-------------------------
-					Overview
+				   Extending Overview
 				-------------------------
 