Index: FCKeditor.Java/trunk/java-core/src/main/resources/META-INF/FCKeditor.tld
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/resources/META-INF/FCKeditor.tld	(revision 2252)
+++ FCKeditor.Java/trunk/java-core/src/main/resources/META-INF/FCKeditor.tld	(revision 2253)
@@ -18,5 +18,5 @@
 			Creates a FCKeditor instance with the given parameters. Any
 			parameter except instanceName which is empty or contains
-			whitespaces only will be ignored.
+			whitespace only will be ignored.
 		</description>
 		<display-name>editor</display-name>
@@ -104,7 +104,5 @@
 		<description>
 			Displays session-dependent and compatibility-related
-			information. This tag is intended for developers only.
-			Response messages cannot be localized, they are English
-			only.
+			information. The messages can be localized.
 		</description>
 		<display-name>check</display-name>
@@ -115,6 +113,6 @@
 			<description>
 				Provide the feature name you want to check. Valid
-				features are [FileUpload, FileBrowsing,
-				CompatibleBrowser]
+				features are [FileUpload, FileBrowsing,	CompatibleBrowser,
+				FolderCreation]
 			</description>
 			<name>command</name>
Index: FCKeditor.Java/trunk/src/site/apt/ext_overview.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/ext_overview.apt	(revision 2252)
+++ FCKeditor.Java/trunk/src/site/apt/ext_overview.apt	(revision 2253)
@@ -24,3 +24,16 @@
 Overview
 
-  dddd
+  The Java integration provides you several ways to extend and adapt itself
+  to your needs.
+
+  * <<UserAction>>: Gives you full control over any action the user can do in the
+    File Browser.
+
+  * <<UserPathBuilder>>: Enables you to construct a user-dependent file path.
+
+  * <<Internationalization>>: You can localize any message returned by tags and
+    the connector.
+
+  []
+  Please read the extending parts carefully if you intend to deploy the FCKeditor
+  in a particular system!
Index: FCKeditor.Java/trunk/src/site/apt/i18n.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/i18n.apt	(revision 2252)
+++ FCKeditor.Java/trunk/src/site/apt/i18n.apt	(revision 2253)
@@ -24,3 +24,3 @@
 Internationalization
 
-  dddd
+  
Index: FCKeditor.Java/trunk/src/site/apt/properties.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2252)
+++ FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2253)
@@ -141,2 +141,35 @@
 |								|											| implementation			|													|
 *-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
+
+* Messages
+
+  sss
+
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+|| Property                     	|| Default									|| Valid Values	|| Description                                     ||
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| message.compatible_browser.yes	| Your browser is fully compatible			| any string	| Indicates that the browser is fully compatible.	|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| message.compatible_browser.no		| Your browser is not compatible			| any string	| Indicates that the browser is not compatible.		|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| message.connector.fileUpload.		| You are authorized to upload files!		| any string	| Responds the user can upload files.				|
+| enabled							|											|				|													|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| message.connector.fileUpload.		| You are not authorized to upload files!	| any string	| Responds the user cannot upload files.			|
+| disabled							|											|				|													|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| message.connector.				| You are authorized to browse files!		| any string	| Responds the user can browse files.				|
+| fileBrowsing.enabled				|											|				|													|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| message.connector.				| You are not authorized to browse files!	| any string	| Responds the user cannot browse files.			|
+| fileBrowsing.disabled				|											|				|													|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| message.connector.				| Invalid command specified					| any string	| The provided command was invalid/does not exist.	|
+| invalid_command_specified			|											|				|													|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| message.connector.				| Invalid resource type specified			| any string	| The provided type was invalid/does not exist.		|
+| invalid_type_specified			|											|				|													|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| message.connector.				| Invalid current folder specified			| any string	| The provided current folder was invalid/does		|
+| invalid_current_folder_speficied	|											|				| not exist.										|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
Index: FCKeditor.Java/trunk/src/site/site.xml
===================================================================
--- FCKeditor.Java/trunk/src/site/site.xml	(revision 2252)
+++ FCKeditor.Java/trunk/src/site/site.xml	(revision 2253)
@@ -34,5 +34,5 @@
 		</menu>
 		<menu name="Extending the Library">
-			<item name="Overview" href="ext_overview.html"/>
+			<item name="Overview" href="/ext_overview.html"/>
 			<item name="UserAction" />
 			<item name="UserPathBuilder" />