Index: CKEditor/branches/prototype/_docs/api/symbols/CKEDITOR.dom.domObject.html
===================================================================
--- CKEditor/branches/prototype/_docs/api/symbols/CKEDITOR.dom.domObject.html	(revision 2214)
+++ CKEditor/branches/prototype/_docs/api/symbols/CKEDITOR.dom.domObject.html	(revision 2261)
@@ -218,4 +218,6 @@
 
 
+
+
 	<li><a href="../symbols/CKEDITOR.env.html">CKEDITOR.env</a></li>
 
@@ -288,4 +290,8 @@
 		<li>
 			<a href="../symbols/CKEDITOR.dom.node.html">CKEDITOR.dom.node</a>
+		</li>
+
+		<li>
+			<a href="../symbols/CKEDITOR.dom.selection.html">CKEDITOR.dom.selection</a>
 		</li>
 
@@ -431,9 +437,42 @@
 						</tr>
 
+					</tbody>
+				</table>
+
+
+
+				<dl class="inheritsList">
+
+				</dl>
+
+
+
+<!-- ============================== methods summary ======================== -->
+
+
+
+				<table class="summaryTable" cellspacing="0" summary="A summary of the methods documented in the class CKEDITOR.dom.domObject.">
+					<caption>Method Summary</caption>
+					<thead>
+						<tr>
+							<th scope="col">Method Attributes</th>
+							<th scope="col">Method Name and Description</th>
+						</tr>
+					</thead>
+					<tbody>
+
 						<tr>
 							<td class="attributes">&nbsp;</td>
 							<td class="nameDescription">
-								<div class="fixedFont">
-								<b><a href="../symbols/CKEDITOR.dom.domObject.html#getCustomData">getCustomData</a></b>
+								<div class="fixedFont"><b><a href="../symbols/CKEDITOR.dom.domObject.html#equals">equals</a></b>(object)
+								</div>
+								<div class="description">Determines whether the specified object is equal to the current object.</div>
+							</td>
+						</tr>
+
+						<tr>
+							<td class="attributes">&nbsp;</td>
+							<td class="nameDescription">
+								<div class="fixedFont"><b><a href="../symbols/CKEDITOR.dom.domObject.html#getCustomData">getCustomData</a></b>(key)
 								</div>
 								<div class="description">Gets the value set to a data slot in this object.</div>
@@ -444,6 +483,5 @@
 							<td class="attributes">&nbsp;</td>
 							<td class="nameDescription">
-								<div class="fixedFont">
-								<b><a href="../symbols/CKEDITOR.dom.domObject.html#setCustomData">setCustomData</a></b>
+								<div class="fixedFont"><b><a href="../symbols/CKEDITOR.dom.domObject.html#setCustomData">setCustomData</a></b>(key, value)
 								</div>
 								<div class="description">Sets a data slot value for this object.</div>
@@ -457,16 +495,4 @@
 
 				<dl class="inheritsList">
-
-				</dl>
-
-
-
-<!-- ============================== methods summary ======================== -->
-
-
-
-
-
-				<dl class="inheritsList">
 				<dt>Methods borrowed from class <a href="../symbols/CKEDITOR.event.html#constructor">CKEDITOR.event</a>: </dt><dd><a href="../symbols/CKEDITOR.event.html#fire">fire</a>, <a href="../symbols/CKEDITOR.event.html#fireOnce">fireOnce</a>, <a href="../symbols/CKEDITOR.event.html#hasListeners">hasListeners</a>, <a href="../symbols/CKEDITOR.event.html#.implementOn">implementOn</a>, <a href="../symbols/CKEDITOR.event.html#on">on</a>, <a href="../symbols/CKEDITOR.event.html#removeListener">removeListener</a></dd>
 				</dl>
@@ -569,11 +595,19 @@
 
 
-					<hr />
-
-					<a name="getCustomData"> </a>
+
+
+
+
+<!-- ============================== method details ========================= -->
+
+				<div class="sectionTitle">
+					Method Detail
+				</div>
+
+					<a name="equals"> </a>
 					<div class="fixedFont" style="float:left">
 
-					<span class="light">{Object}</span>
-					<b>getCustomData</b>
+					<span class="light">{Boolean}</span>
+					<b>equals</b>(object)
 
 					</div>
@@ -587,6 +621,7 @@
 					<div style="clear:both"></div>
 
+
 					<div class="description">
-						Gets the value set to a data slot in this object.
+						Determines whether the specified object is equal to the current object.
 
 
@@ -596,7 +631,7 @@
 
 
-					<pre class="code">var element = new CKEDITOR.dom.element( 'span' );
-alert( element.getCustomData( 'hasCustomData' ) );  // e.g. 'true'</pre>
-
+					<pre class="code">var doc = new CKEDITOR.dom.document( document );
+alert( doc.equals( CKEDITOR.document ) );  // "true"
+alert( doc == CKEDITOR.document );         // "false"</pre>
 
 
@@ -605,7 +640,11 @@
 
 							<dl class="detailList">
-							<dt class="heading">See:</dt>
-
-							<dd>CKEDITOR.dom.domObject.prototype.setCustomData</dd>
+							<dt class="heading">Parameters:</dt>
+
+								<dt>
+									<span class="light fixedFont">{Object}</span> <b>object</b>
+
+								</dt>
+								<dd>The object to compare with the current object.</dd>
 
 							</dl>
@@ -613,11 +652,22 @@
 
 
+
+							<dl class="detailList">
+							<dt class="heading">Returns:</dt>
+
+								<dd><span class="light fixedFont">{Boolean}</span> "true" if the object is equal.</dd>
+
+							</dl>
+
+
+
+
 					<hr />
 
-					<a name="setCustomData"> </a>
+					<a name="getCustomData"> </a>
 					<div class="fixedFont" style="float:left">
 
-					<span class="light">{<a href="../symbols/CKEDITOR.dom.domObject.html#constructor">CKEDITOR.dom.domObject</a>}</span>
-					<b>setCustomData</b>
+					<span class="light">{Object}</span>
+					<b>getCustomData</b>(key)
 
 					</div>
@@ -631,4 +681,71 @@
 					<div style="clear:both"></div>
 
+
+					<div class="description">
+						Gets the value set to a data slot in this object.
+
+
+					</div>
+
+
+
+
+					<pre class="code">var element = new CKEDITOR.dom.element( 'span' );
+alert( element.getCustomData( 'hasCustomData' ) );  // e.g. 'true'</pre>
+
+
+
+
+
+							<dl class="detailList">
+							<dt class="heading">Parameters:</dt>
+
+								<dt>
+									<span class="light fixedFont">{String}</span> <b>key</b>
+
+								</dt>
+								<dd>The key used to identify the data slot.</dd>
+
+							</dl>
+
+
+
+
+							<dl class="detailList">
+							<dt class="heading">Returns:</dt>
+
+								<dd><span class="light fixedFont">{Object}</span> This value set to the data slot.</dd>
+
+							</dl>
+
+
+
+							<dl class="detailList">
+							<dt class="heading">See:</dt>
+
+								<dd>CKEDITOR.dom.domObject.prototype.setCustomData</dd>
+
+							</dl>
+
+
+					<hr />
+
+					<a name="setCustomData"> </a>
+					<div class="fixedFont" style="float:left">
+
+					<span class="light">{<a href="../symbols/CKEDITOR.dom.domObject.html#constructor">CKEDITOR.dom.domObject</a>}</span>
+					<b>setCustomData</b>(key, value)
+
+					</div>
+
+
+						<div style="float:right">
+							<span class="heading">Since:</span>
+								3.0
+						</div>
+
+					<div style="clear:both"></div>
+
+
 					<div class="description">
 						Sets a data slot value for this object. These values are shared by all
@@ -648,9 +765,37 @@
 
 
+							<dl class="detailList">
+							<dt class="heading">Parameters:</dt>
+
+								<dt>
+									<span class="light fixedFont">{String}</span> <b>key</b>
+
+								</dt>
+								<dd>A key used to identify the data slot.</dd>
+
+								<dt>
+									<span class="light fixedFont">{Object}</span> <b>value</b>
+
+								</dt>
+								<dd>The value to set to the data slot.</dd>
+
+							</dl>
+
+
+
+
+							<dl class="detailList">
+							<dt class="heading">Returns:</dt>
+
+								<dd><span class="light fixedFont">{<a href="../symbols/CKEDITOR.dom.domObject.html#constructor">CKEDITOR.dom.domObject</a>}</span> This DOM object instance.</dd>
+
+							</dl>
+
+
 
 							<dl class="detailList">
 							<dt class="heading">See:</dt>
 
-							<dd>CKEDITOR.dom.domObject.prototype.getCustomData</dd>
+								<dd>CKEDITOR.dom.domObject.prototype.getCustomData</dd>
 
 							</dl>
@@ -659,8 +804,4 @@
 
 
-
-
-
-<!-- ============================== method details ========================= -->
 
 