Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/LocaleResolver.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/LocaleResolver.java	(revision 2293)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/LocaleResolver.java	(revision 2294)
@@ -41,5 +41,5 @@
 	 *         cannot be resolved
 	 */
-	public Locale resolveLocale(HttpServletRequest request);
+	public Locale resolveLocale(final HttpServletRequest request);
 
 }
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/AcceptLanguageHeaderResolver.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/AcceptLanguageHeaderResolver.java	(revision 2293)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/AcceptLanguageHeaderResolver.java	(revision 2294)
@@ -47,5 +47,5 @@
 	 * @see net.fckeditor.localization.LocaleResolver#resolveLocale(javax.servlet.http.HttpServletRequest)
 	 */
-	public Locale resolveLocale(HttpServletRequest request) {
+	public Locale resolveLocale(final HttpServletRequest request) {
 
 		if (Utils.isNotEmpty(request.getHeader("Accept-Language")))
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/JstlResolver.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/JstlResolver.java	(revision 2293)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/localization/impl/JstlResolver.java	(revision 2294)
@@ -45,5 +45,5 @@
 	 * @see net.fckeditor.localization.LocaleResolver#resolveLocale(javax.servlet.http.HttpServletRequest)
 	 */
-	public Locale resolveLocale(HttpServletRequest request) {
+	public Locale resolveLocale(final HttpServletRequest request) {
 
 		return (Locale) Config.get(request.getSession(), Config.FMT_LOCALE);
Index: FCKeditor.Java/trunk/src/site/apt/i18n.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/i18n.apt	(revision 2293)
+++ FCKeditor.Java/trunk/src/site/apt/i18n.apt	(revision 2294)
@@ -24,18 +24,55 @@
 Internationalization
 
-  The interation pack offers you the possibility to localize any string responded to the user
-  on a global basis and on a per locale basis and independently from the deployed
-  framework/system (JSTL, Struts, Request, and other).
+  The interation pack offers you the capability to localize any string responded
+  to the user on a global basis and on a per locale basis and independently from
+  the deployed framework/system (JSTL, Struts, Request, and other).
+
+  Read on to see how you can customize the system to your needs:
+
+* The interface
+
+  The interface {{{java-core/apidocs/net/fckeditor/localization/LocaleResolver.html}<<<net.fckeditor.localization.LocaleResolver>>>}}
+  contains only one method:
   
-  It takes two steps to respond localized strings it:
+  * <<<Locale resolveLocale(final HttpServletRequest)>>>: It will be passed the
+    current request instance on every request. It resolves the user locale according
+    to the underlying system or returns <<<null>>> if it can't resolve the locale.
 
-  [[1]] <<The interface>>
+  []
 
-        We provide an interface to resolve the user locale in order to retrieve
-        the corresponding strings.\
+** Choosing an implemenation
 
-        {{{java-core/apidocs/net/fckeditor/localization/LocaleResolver.html}<<<net.fckeditor.localization.impl.LocaleResolver>>>}}
+     [Hint:] If you do not (want to) choose an implementation, the default one
+             will be used.
 
-  [[2]] <<The strings>>
+  You have to choose an inplemenation, either an existing or a custom one. If no
+  existing implemention suits your need, create your own. Implement the interface
+  and resolve the locale the way you want.
+
+  Existing, ready-to-go implementations:
+
+   * {{{java-core/apidocs/net/fckeditor/localization/impl/AcceptLanguageHeaderResolver.html}<<<net.fckeditor.localization.impl.AcceptLanguageHeaderResolver>>>}} (default):
+     It retrieves the first locale in the HTTP <<<Accept-Language>>> header, if
+     availabe.
+
+   * {{{java-core/apidocs/net/fckeditor/localization/impl/JstlResolver.html}<<<net.fckeditor.localization.impl.JstlResolver>>>}}:
+     The user locale will be retrieved from the session set by JSTL's <<<fmt>>>
+     tag or similar.
+
+   []
+
+** Binding an implementation
+
+   After your have chosen your desired implemenation, you have to bind it to the
+   system. Put the fully-qualified class name of the implementation in the 
+   <<<fckeditor.properies>>>:
+   
++------------------------------------------------------------------------------+
+  localization.localeResolverImpl=<desired implementation>
++------------------------------------------------------------------------------+
+
+* The Strings
+
+  [[2]] <<The strings>>: <<<message.*>>>
 
         dfdfdf