Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/ConnectorServlet.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/ConnectorServlet.java	(revision 2296)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/ConnectorServlet.java	(revision 2297)
@@ -149,6 +149,5 @@
 				xr = new XmlResponse(command, resourceType, currentFolderStr,
 						UtilsResponse.constructResponseUrl(request,
-								resourceType, currentFolderStr, true,
-								ConnectorHandler.isFullUrl()));
+								resourceType, currentFolderStr, ConnectorHandler.isFullUrl()));
 
 				if (command.equals(CommandHandler.GET_FOLDERS))
@@ -289,5 +288,5 @@
 									UtilsResponse.constructResponseUrl(request,
 											resourceType, currentFolderStr,
-											true, ConnectorHandler.isFullUrl())
+											ConnectorHandler.isFullUrl())
 											.concat(filename));
 						else
@@ -295,5 +294,5 @@
 									UtilsResponse.constructResponseUrl(request,
 											resourceType, currentFolderStr,
-											true, ConnectorHandler.isFullUrl())
+											ConnectorHandler.isFullUrl())
 											.concat(newFilename), newFilename);
 
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/RequestCycleHandler.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/RequestCycleHandler.java	(revision 2296)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/RequestCycleHandler.java	(revision 2297)
@@ -108,6 +108,10 @@
 	 *         <code>null</code>.
 	 */
-	protected static String getUserFilePath(final HttpServletRequest request) {
+	public static String getUserFilePath(final HttpServletRequest request) {
 		return (userPathBuilder != null) ? userPathBuilder.getUserFilesPath(request) : null;
 	}
+	
+	public static String getLocalUserFilePath() {
+		return (userPathBuilder != null) ? userPathBuilder.getLocalUserFilesPath() : null;
+	}
 }
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/UserPathBuilder.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/UserPathBuilder.java	(revision 2296)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/UserPathBuilder.java	(revision 2297)
@@ -46,7 +46,8 @@
 	 * 
 	 * @param request
-	 * @return <code>null</code> or the <code>UserFilesPath</code> for the
-	 *         current user.
+	 * @return <code>UserFilesPath</code> for the current user.
 	 */
 	public String getUserFilesPath(final HttpServletRequest request);
+	
+	public String getLocalUserFilesPath();
 }
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/ContextPathBuilder.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/ContextPathBuilder.java	(revision 2297)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/ContextPathBuilder.java	(revision 2297)
@@ -0,0 +1,55 @@
+/*
+ * FCKeditor - The text editor for Internet - http://www.fckeditor.net
+ * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * 
+ * == BEGIN LICENSE ==
+ * 
+ * Licensed under the terms of any of the following licenses at your
+ * choice:
+ * 
+ *  - GNU General Public License Version 2 or later (the "GPL")
+ *    http://www.gnu.org/licenses/gpl.html
+ * 
+ *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+ *    http://www.gnu.org/licenses/lgpl.html
+ * 
+ *  - Mozilla Public License Version 1.1 or later (the "MPL")
+ *    http://www.mozilla.org/MPL/MPL-1.1.html
+ * 
+ * == END LICENSE ==
+ */
+package net.fckeditor.requestcycle.impl;
+
+import javax.servlet.http.HttpServletRequest;
+
+import net.fckeditor.handlers.ConnectorHandler;
+import net.fckeditor.requestcycle.UserPathBuilder;
+
+/**
+ * This implementation always returns the context path with the UserFilesPath
+ * from the properties file.
+ * 
+ * @version $Id$
+ * 
+ */
+public class ContextPathBuilder implements UserPathBuilder {
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see net.fckeditor.requestcycle.UserPathBuilder#getUserFilesPath(javax.servlet.http.HttpServletRequest)
+	 */
+	public String getUserFilesPath(final HttpServletRequest request) {
+		return request.getContextPath()
+				+ ConnectorHandler.getDefaultUserFilesPath();
+	}
+	
+	/*
+	 * (non-Javadoc)
+	 * @see net.fckeditor.requestcycle.UserPathBuilder#getLocalUserFilesPath()
+	 */
+	public String getLocalUserFilesPath() {
+		return ConnectorHandler.getDefaultUserFilesPath();
+	}
+
+}
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/FalseUserAction.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/FalseUserAction.java	(revision 2297)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/FalseUserAction.java	(revision 2297)
@@ -0,0 +1,53 @@
+/*
+ * FCKeditor - The text editor for Internet - http://www.fckeditor.net
+ * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * 
+ * == BEGIN LICENSE ==
+ * 
+ * Licensed under the terms of any of the following licenses at your
+ * choice:
+ * 
+ *  - GNU General Public License Version 2 or later (the "GPL")
+ *    http://www.gnu.org/licenses/gpl.html
+ * 
+ *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+ *    http://www.gnu.org/licenses/lgpl.html
+ * 
+ *  - Mozilla Public License Version 1.1 or later (the "MPL")
+ *    http://www.mozilla.org/MPL/MPL-1.1.html
+ * 
+ * == END LICENSE ==
+ */
+package net.fckeditor.requestcycle.impl;
+
+import javax.servlet.http.HttpServletRequest;
+
+import net.fckeditor.requestcycle.UserAction;
+
+/**
+ * Standard implementation for {@link UserAction}. It always returns
+ * <code>false</code>.
+ * 
+ * @version $Id$
+ */
+public class FalseUserAction implements UserAction {
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileBrowsing(javax.servlet.http.HttpServletRequest)
+	 */
+	public boolean isEnabledForFileBrowsing(final HttpServletRequest request) {
+		return false;
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileUpload(javax.servlet.http.HttpServletRequest)
+	 */
+	public boolean isEnabledForFileUpload(final HttpServletRequest request) {
+		return false;
+	}
+
+}
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/TrueUserAction.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/TrueUserAction.java	(revision 2297)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/TrueUserAction.java	(revision 2297)
@@ -0,0 +1,53 @@
+/*
+ * FCKeditor - The text editor for Internet - http://www.fckeditor.net
+ * Copyright (C) 2003-2008 Frederico Caldeira Knabben
+ * 
+ * == BEGIN LICENSE ==
+ * 
+ * Licensed under the terms of any of the following licenses at your
+ * choice:
+ * 
+ *  - GNU General Public License Version 2 or later (the "GPL")
+ *    http://www.gnu.org/licenses/gpl.html
+ * 
+ *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+ *    http://www.gnu.org/licenses/lgpl.html
+ * 
+ *  - Mozilla Public License Version 1.1 or later (the "MPL")
+ *    http://www.mozilla.org/MPL/MPL-1.1.html
+ * 
+ * == END LICENSE ==
+ */
+package net.fckeditor.requestcycle.impl;
+
+import javax.servlet.http.HttpServletRequest;
+
+import net.fckeditor.requestcycle.UserAction;
+
+/**
+ * Standard implementation for {@link UserAction}. It always returns
+ * <code>false</code>.
+ * 
+ * @version $Id$
+ */
+public class TrueUserAction implements UserAction {
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileBrowsing(javax.servlet.http.HttpServletRequest)
+	 */
+	public boolean isEnabledForFileBrowsing(final HttpServletRequest request) {
+		return true;
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileUpload(javax.servlet.http.HttpServletRequest)
+	 */
+	public boolean isEnabledForFileUpload(final HttpServletRequest request) {
+		return true;
+	}
+
+}
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/UserActionImpl.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/UserActionImpl.java	(revision 2296)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/UserActionImpl.java	(revision 2297)
@@ -29,6 +29,8 @@
  * <code>true</code>.
  * 
+ * @see TrueUserAction
  * @version $Id$
  */
+@Deprecated
 public class UserActionImpl implements UserAction {
 
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsFile.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsFile.java	(revision 2296)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsFile.java	(revision 2297)
@@ -32,4 +32,5 @@
 
 import net.fckeditor.handlers.ConnectorHandler;
+import net.fckeditor.handlers.RequestCycleHandler;
 import net.fckeditor.handlers.ResourceTypeHandler;
 
@@ -158,6 +159,5 @@
 	public static String constructServerSidePath(HttpServletRequest request,
 			ResourceTypeHandler resourceType) {
-		StringBuffer sb = new StringBuffer(ConnectorHandler
-				.getUserFilesPath(request));
+		StringBuffer sb = new StringBuffer(RequestCycleHandler.getLocalUserFilePath());
 		sb.append(resourceType.getPath());
 
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsResponse.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsResponse.java	(revision 2296)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsResponse.java	(revision 2297)
@@ -40,5 +40,4 @@
 	 * @param resourceType
 	 * @param urlPath
-	 * @param prependContextPath
 	 * @param fullUrl
 	 * @return constructed url
@@ -46,5 +45,5 @@
     public static String constructResponseUrl(HttpServletRequest request,
     		ResourceTypeHandler resourceType, String urlPath,
-    		boolean prependContextPath, boolean fullUrl) {
+    		boolean fullUrl) {
     		
     	StringBuffer sb = new StringBuffer();
@@ -52,11 +51,7 @@
     	if (fullUrl) {
     		String address = request.getRequestURL().toString();
-    		sb.append(address.substring(0, address.indexOf('/', 8))
-    				+ request.getContextPath());
+    		sb.append(address.substring(0, address.indexOf('/', 8)));
     	}
-    	
-    	if (prependContextPath && !fullUrl)
-    		sb.append(request.getContextPath());
-    	
+    	    	
     	sb.append(ConnectorHandler.getUserFilesPath(request));
     	sb.append(resourceType.getPath());
Index: FCKeditor.Java/trunk/java-core/src/main/resources/net/fckeditor/handlers/default.properties
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/resources/net/fckeditor/handlers/default.properties	(revision 2296)
+++ FCKeditor.Java/trunk/java-core/src/main/resources/net/fckeditor/handlers/default.properties	(revision 2297)
@@ -61,5 +61,7 @@
 fckeditor.width = 100%
 
-# default LocaleResolver implementation
+# default implementations
+connector.userActionImpl = net.fckeditor.requestcycle.impl.FalseUserAction
+connector.userPathBuilderImpl = net.fckeditor.requestcycle.impl.ContextPathBuilder
 localization.localeResolverImpl = net.fckeditor.localization.impl.AcceptLanguageHeaderResolver
 
Index: FCKeditor.Java/trunk/src/site/apt/connector.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 2296)
+++ FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 2297)
@@ -62,5 +62,5 @@
 
 +------------------------------------------------------------------------------+
-  connector.userActionImpl=net.fckeditor.requestcycle.impl.UserActionImpl
+  connector.userActionImpl=net.fckeditor.requestcycle.impl.TrueUserAction
 +------------------------------------------------------------------------------+
 
Index: FCKeditor.Java/trunk/src/site/apt/properties.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2296)
+++ FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2297)
@@ -133,10 +133,10 @@
 |								|											|							| other renamed file type.							|
 *-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
-| connector.userActionImpl		|											| any fully-qualified class	| Provides custom security functions for the File	|
-|								|											| name of a valid {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<UserAction>>>}}  | Browser Connector. For more details see {{{connector.html}here}}. |
+| connector.userActionImpl		| {{{java-core/apidocs/net/fckeditor/requestcycle/impl/FalseUserAction.html}<<<net.fckeditor.requestcycle. | any fully-qualified class	| Provides custom security functions for the File	|
+|								| impl.FalseUserAction>>>}}					| name of a valid {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<UserAction>>>}}  | Browser Connector. For more details see {{{connector.html}here}}. |
 |								|											| implementation			|													|
 *-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
-| connector.userPathBuilderImpl |											| any fully-qualified class	| Provides a custom function for constructing a user-dependent <<<UserFilesPath>>> for the File |
-|								|											| name of a valid {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<UserPathBuilder>>>}} | Browser Connector. For more details see {{{connector.html}here}}. |
+| connector.userPathBuilderImpl | {{{java-core/apidocs/net/fckeditor/requestcycle/impl/ContextPathBuilder.html}<<<net.fckeditor.requestcycle. | any fully-qualified class	| Provides a custom function for constructing a user-dependent <<<UserFilesPath>>> for the File |
+|								| impl.ContextPathBuilder>>>}}				| name of a valid {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<UserPathBuilder>>>}} | Browser Connector. For more details see {{{connector.html}here}}. |
 |								|											| implementation			|													|
 *-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
@@ -151,5 +151,5 @@
 *-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
 | localization.localeResolverImpl	| {{{java-core/apidocs/net/fckeditor/localization/impl/AcceptLanguageHeaderResolver.html}<<<net.fckeditor.localization.impl. | any fully-qualified class | Provides localization capabilites for the integration pack. For more details see {{{i18n.html}here}}. |
-|									|AcceptLanguageHeaderResolver>>>}}			| name of a valid {{{java-core/apidocs/net/fckeditor/localization/LocaleResolver.html}<<<LocaleResolver>>>}} |  |
+|									| AcceptLanguageHeaderResolver>>>}}			| name of a valid {{{java-core/apidocs/net/fckeditor/localization/LocaleResolver.html}<<<LocaleResolver>>>}} |  |
 |									|											| implementation|													|
 *-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+