Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/ConnectorServlet.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/ConnectorServlet.java	(revision 2297)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/ConnectorServlet.java	(revision 2298)
@@ -119,4 +119,5 @@
 		LocalizedPropertiesLoader lpl = LocalizedPropertiesLoader.getInstance(request);
 
+		// FIXME check for isEnabledForFolderCreation
 		if (!RequestCycleHandler.isEnabledForFileBrowsing(request))
 			xr = new XmlResponse(XmlResponse.EN_ERROR, lpl
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocalizedPropertiesLoader.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocalizedPropertiesLoader.java	(revision 2297)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/LocalizedPropertiesLoader.java	(revision 2298)
@@ -164,4 +164,12 @@
 		return getString("message.connector.fileBrowsing.disabled");
 	}
+	
+	public String getFolderCreationEnabled() {
+		return getString("message.connector.folderCreation.enabled");
+	}
+	
+	public String getFolderCreationDisabled() {
+		return getString("message.connector.folderCreation.disabled");
+	}
 
 	public String getInvalidCommand() {
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/UserAction.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/UserAction.java	(revision 2297)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/UserAction.java	(revision 2298)
@@ -59,4 +59,9 @@
 	 */
 	public boolean isEnabledForFileBrowsing(final HttpServletRequest request);
+	
+	/**
+	 * TODO document me!
+	 */
+	public boolean isEnabledForFolderCreation(final HttpServletRequest request);
 
 }
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/FalseUserAction.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/FalseUserAction.java	(revision 2297)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/FalseUserAction.java	(revision 2298)
@@ -51,3 +51,13 @@
 	}
 
+	/*
+	 * (non-Javadoc)
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFolderCreation(javax.servlet.http.HttpServletRequest)
+	 */
+	public boolean isEnabledForFolderCreation(final HttpServletRequest request) {
+		return false;
+	}
+	
+	
+
 }
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/TrueUserAction.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/TrueUserAction.java	(revision 2297)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/TrueUserAction.java	(revision 2298)
@@ -51,3 +51,10 @@
 	}
 
+	/*
+	 * (non-Javadoc)
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFolderCreation(javax.servlet.http.HttpServletRequest)
+	 */
+	public boolean isEnabledForFolderCreation(HttpServletRequest request) {
+		return true;
+	}
 }
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/UserActionImpl.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/UserActionImpl.java	(revision 2297)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/UserActionImpl.java	(revision 2298)
@@ -49,3 +49,10 @@
 	}
 
+	/*
+	 * (non-Javadoc)
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFolderCreation(javax.servlet.http.HttpServletRequest)
+	 */
+	public boolean isEnabledForFolderCreation(HttpServletRequest request) {
+		return true;
+	}
 }
Index: FCKeditor.Java/trunk/java-core/src/main/resources/net/fckeditor/handlers/default.properties
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/resources/net/fckeditor/handlers/default.properties	(revision 2297)
+++ FCKeditor.Java/trunk/java-core/src/main/resources/net/fckeditor/handlers/default.properties	(revision 2298)
@@ -74,4 +74,6 @@
 message.connector.fileBrowsing.disabled = You are not authorized to browse files!
 message.connector.fileBrowsing.enabled = You are authorized to browse files!
+message.connector.folderCreation.disabled = You are not authorized to create folders!
+message.connector.folderCreation.enabled = You are authorized to create folders!
 message.connector.invalid_command_specified = Invalid command specified
 message.connector.invalid_type_specified = Invalid resource type specified
Index: FCKeditor.Java/trunk/src/site/apt/properties.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2297)
+++ FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2298)
@@ -170,4 +170,10 @@
 | fileBrowsing.disabled				|											|				|													|
 *-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| message.connector.				| You are authorized to create folders!		| any string	| Responds the user can create folders.				|
+| folderCreation.enabled			|											|				|													|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
+| message.connector.				| You are not authorized to create folders!	| any string	| Responds the user cannot create folders.			|
+| folderCreation.disabled			|											|				|													|
+*-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
 | message.connector.				| Invalid command specified					| any string	| The provided command was invalid/does not exist.	|
 | invalid_command_specified			|											|				|													|