Index: FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/connector/impl/SimpleFileSystemConnector.java
===================================================================
--- FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/connector/impl/SimpleFileSystemConnector.java	(revision 2407)
+++ FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/connector/impl/SimpleFileSystemConnector.java	(revision 2413)
@@ -51,5 +51,5 @@
 /**
  * Implementation of the {@link Connector} for the filesystem. All path are interpreted as sub-directories 
- * inside the root of the {@link ConnectorHandler#getUserFilesPath()}.<br>
+ * of the {@link ConnectorHandler#getUserFilesPath()}.<br>
  * 
  * TODO move the static methods into a util-class in package net.fckeditor.connector.impl ???
Index: FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/handlers/RequestCycleHandler.java
===================================================================
--- FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/handlers/RequestCycleHandler.java	(revision 2407)
+++ FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/handlers/RequestCycleHandler.java	(revision 2413)
@@ -95,24 +95,24 @@
 	/**
 	 * Just a wrapper to
-	 * {@link UserAction#isEnabledForFileBrowsing(HttpServletRequest)}.
+	 * {@link UserAction#isEnabledForFileBrowsing()}.
 	 * 
 	 * @param request
-	 * @return {@link UserAction#isEnabledForFileBrowsing(HttpServletRequest)}
+	 * @return {@link UserAction#isEnabledForFileBrowsing()}
 	 *         or false if <code>userAction</code> isn't set.
 	 */
 	public static boolean isEnabledForFileBrowsing(final HttpServletRequest request) {
-		return (userAction != null && userAction.isEnabledForFileBrowsing(request));
+		return (userAction != null && userAction.isEnabledForFileBrowsing());
 	}
 
 	/**
 	 * Just a wrapper to
-	 * {@link UserAction#isEnabledForFileUpload(HttpServletRequest)}.
+	 * {@link UserAction#isEnabledForFileUpload()}.
 	 * 
 	 * @param request
-	 * @return {@link UserAction#isEnabledForFileUpload(HttpServletRequest)} or
+	 * @return {@link UserAction#isEnabledForFileUpload()} or
 	 *         false if <code>userAction</code> isn't set.
 	 */
 	public static boolean isEnabledForFileUpload(final HttpServletRequest request) {
-		return (userAction != null && userAction.isEnabledForFileUpload(request));
+		return (userAction != null && userAction.isEnabledForFileUpload());
 	}
 
Index: FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/UserAction.java
===================================================================
--- FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/UserAction.java	(revision 2407)
+++ FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/UserAction.java	(revision 2413)
@@ -24,13 +24,18 @@
 
 
+
 /**
  * An interface which provides the authorization of server-side commands.<br />
  * The commands are:
  * <ul>
- * <li>{@link #isEnabledForFileBrowsing(HttpServletRequest)}: Enables the user
+ * <li>{@link #isEnabledForFileBrowsing()}: Enables the user
  * to browse/select files.</li>
- * <li>{@link #isEnabledForFileUpload(HttpServletRequest)}: Enables the user
+ * <li>{@link #isEnabledForFileUpload()}: Enables the user
  * to upload files.</li>
+ * <li>{@link #isEnabledForFolderCreation()} Enables the user
+ * to create folders.</li>
  * </ul>
+ * <strong>If your implementation needs {@link HttpServletRequest} e.g. to get a
+ * session variable, you can get it by calling {@link ThreadLocalData#getServletRequest()}.</strong>
  * 
  * @version $Id$
@@ -40,28 +45,26 @@
 	/**
 	 * Authenticates/enables the current user for uploading files.<br />
-	 * If the implementation doesn't bother you, just return <code>true</code>.
 	 * 
-	 * @param request
-	 *            Servlet request from user
 	 * @return <code>true</code> if user can upload to the server, or
 	 *         <code>false</code>
 	 */
-	public boolean isEnabledForFileUpload(final HttpServletRequest request);
+	public boolean isEnabledForFileUpload();
 
 	/**
 	 * Authenticates/enables the current user for browsing files.<br />
-	 * If the implementation doesn't bother you, just return <code>true</code>.
 	 * 
-	 * @param request
-	 *            Servlet request from user
 	 * @return <code>true</code> if user can browse the server, or
 	 *         <code>false</code>
 	 */
-	public boolean isEnabledForFileBrowsing(final HttpServletRequest request);
+	public boolean isEnabledForFileBrowsing();
 	
+
 	/**
-	 * TODO document me!
+	 * Authenticates/enables the current user to create folders.<br />
+	 * 
+	 * @return <code>true</code> if user can create folders on the server, or
+	 *         <code>false</code>
 	 */
-	public boolean isEnabledForFolderCreation(final HttpServletRequest request);
+	public boolean isEnabledForFolderCreation();
 
 }
Index: FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/impl/ContextPathBuilder.java
===================================================================
--- FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/impl/ContextPathBuilder.java	(revision 2407)
+++ FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/impl/ContextPathBuilder.java	(revision 2413)
@@ -40,15 +40,5 @@
 		return ThreadLocalData.getServletRequest().getContextPath().concat(ConnectorHandler.getDefaultUserFilesPath());
 	}
-
-//	/*
-//	 * (non-Javadoc)
-//	 * @see net.fckeditor.requestcycle.UserPathBuilder#getUserFilesPath(javax.servlet.http.HttpServletRequest)
-//	 * TODO why contextPath ???
-//	 */
-//	public String getUserFilesPath(final HttpServletRequest request) {
-//		return request.getContextPath()
-//				+ ConnectorHandler.getDefaultUserFilesPath();
-//	}
-//	
+	
 //	/* ??????????????????
 //	 * (non-Javadoc)
Index: FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/impl/FalseUserAction.java
===================================================================
--- FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/impl/FalseUserAction.java	(revision 2407)
+++ FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/impl/FalseUserAction.java	(revision 2413)
@@ -21,5 +21,4 @@
 package net.fckeditor.requestcycle.impl;
 
-import javax.servlet.http.HttpServletRequest;
 
 import net.fckeditor.requestcycle.UserAction;
@@ -35,8 +34,7 @@
 	/*
 	 * (non-Javadoc)
-	 * 
-	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileBrowsing(javax.servlet.http.HttpServletRequest)
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileBrowsing()
 	 */
-	public boolean isEnabledForFileBrowsing(final HttpServletRequest request) {
+	public boolean isEnabledForFileBrowsing() {
 		return false;
 	}
@@ -44,8 +42,7 @@
 	/*
 	 * (non-Javadoc)
-	 * 
-	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileUpload(javax.servlet.http.HttpServletRequest)
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileUpload()
 	 */
-	public boolean isEnabledForFileUpload(final HttpServletRequest request) {
+	public boolean isEnabledForFileUpload() {
 		return false;
 	}
@@ -53,11 +50,8 @@
 	/*
 	 * (non-Javadoc)
-	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFolderCreation(javax.servlet.http.HttpServletRequest)
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFolderCreation()
 	 */
-	public boolean isEnabledForFolderCreation(final HttpServletRequest request) {
+	public boolean isEnabledForFolderCreation() {
 		return false;
 	}
-	
-	
-
 }
Index: FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/impl/TrueUserAction.java
===================================================================
--- FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/impl/TrueUserAction.java	(revision 2407)
+++ FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/impl/TrueUserAction.java	(revision 2413)
@@ -21,5 +21,4 @@
 package net.fckeditor.requestcycle.impl;
 
-import javax.servlet.http.HttpServletRequest;
 
 import net.fckeditor.requestcycle.UserAction;
@@ -27,5 +26,5 @@
 /**
  * Standard implementation for {@link UserAction}. It always returns
- * <code>false</code>.
+ * <code>true</code>.
  * 
  * @version $Id$
@@ -35,8 +34,7 @@
 	/*
 	 * (non-Javadoc)
-	 * 
-	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileBrowsing(javax.servlet.http.HttpServletRequest)
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileBrowsing()
 	 */
-	public boolean isEnabledForFileBrowsing(final HttpServletRequest request) {
+	public boolean isEnabledForFileBrowsing() {
 		return true;
 	}
@@ -44,8 +42,7 @@
 	/*
 	 * (non-Javadoc)
-	 * 
-	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileUpload(javax.servlet.http.HttpServletRequest)
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileUpload()
 	 */
-	public boolean isEnabledForFileUpload(final HttpServletRequest request) {
+	public boolean isEnabledForFileUpload() {
 		return true;
 	}
@@ -53,7 +50,7 @@
 	/*
 	 * (non-Javadoc)
-	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFolderCreation(javax.servlet.http.HttpServletRequest)
+	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFolderCreation()
 	 */
-	public boolean isEnabledForFolderCreation(HttpServletRequest request) {
+	public boolean isEnabledForFolderCreation() {
 		return true;
 	}
Index: FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/impl/UserActionImpl.java
===================================================================
--- FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/impl/UserActionImpl.java	(revision 2407)
+++ FCKeditor.Java/branches/2.5-test/java-core/src/main/java/net/fckeditor/requestcycle/impl/UserActionImpl.java	(revision 2413)
@@ -21,5 +21,4 @@
 package net.fckeditor.requestcycle.impl;
 
-import javax.servlet.http.HttpServletRequest;
 
 import net.fckeditor.requestcycle.UserAction;
@@ -38,5 +37,5 @@
 	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileBrowsing(javax.servlet.http.HttpServletRequest)
 	 */
-	public boolean isEnabledForFileBrowsing(final HttpServletRequest request) {
+	public boolean isEnabledForFileBrowsing() {
 		return true;
 	}
@@ -45,5 +44,5 @@
 	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFileUpload(javax.servlet.http.HttpServletRequest)
 	 */
-	public boolean isEnabledForFileUpload(final HttpServletRequest request) {
+	public boolean isEnabledForFileUpload() {
 		return true;
 	}
@@ -53,5 +52,5 @@
 	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFolderCreation(javax.servlet.http.HttpServletRequest)
 	 */
-	public boolean isEnabledForFolderCreation(HttpServletRequest request) {
+	public boolean isEnabledForFolderCreation() {
 		return true;
 	}