Index: FCKeditor.Java/trunk/src/site/apt/connector.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 2510)
+++ FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 2521)
@@ -68,45 +68,2 @@
 
   The Connector is now enabled.
-
-  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-Extending the Connector
-
-    [Hint:]  Skip this section if you are not interested in extending the
-             Connector.
-
-  The basic idea of extending the Connector is to provide interfaces for
-  user-dependent interactions which can be implemented by the web application
-  developer. All methods are passed the current <<<HttpServletRequest>>> instance
-  in order to retrieve request and/or session attributes to assemble a user-specific
-  return value. We intentionally do not impose any constraints or indorse any
-  particular implementation approach to give you the freedom to implement the
-  interfaces the way it fits best in your environment.
-
-  Supply the fully-qualified class names of the implementing classes as described
-  in the {{{properties.html}configuration settings}}.
-
-  Right now, the integration pack provides two interfaces to extend the Connector:
-
-  [[1]] {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<net.fckeditor.requestcycle.UserPathBuilder>>>}}
-
-        This interface consists only of one method <<<String getUserFilesPath(final HttpServletRequest)>>>.
-        You are able to construct a user-dependent <<<UserFilesPath>>>, e.g.
-        <<</userfiles/johndoe>>>.
-
-  [[2]] {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<net.fckeditor.requestcycle.UserAction>>>}}
-
-        There are two methods to authorize users to do file-based actions:
-
-        * <<<boolean isEnabledForFileBrowsing(final HttpServletRequest)>>> denoting
-          the user's ability to browse files on the server.
-
-        * <<<boolean isEnabledForFileUpload(final HttpServletRequest)>>> denoting
-          the user's ability to upload files to the server.
-
-        []
-
-        For those who want to enable all users to browse and upload files, there 
-        is a ready-to-use implementation <<<{{{java-core/apidocs/net/fckeditor/requestcycle/impl/UserActionImpl.html}UserActionImpl}}>>>.
-
-  []
-  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Index: FCKeditor.Java/trunk/src/site/apt/ext_overview.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/ext_overview.apt	(revision 2510)
+++ FCKeditor.Java/trunk/src/site/apt/ext_overview.apt	(revision 2521)
@@ -33,5 +33,5 @@
     File Browser.
 
-  * <<UserPathBuilder>>: Enables you to construct a user-dependent file path.
+  * <<UserPathsBuilder>>: Enables you to construct a user-dependent file path.
 
   * <<Localization>>: Enables you to localize any message returned by tags and
Index: FCKeditor.Java/trunk/src/site/apt/localization.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/localization.apt	(revision 2510)
+++ FCKeditor.Java/trunk/src/site/apt/localization.apt	(revision 2521)
@@ -73,6 +73,6 @@
 
     [Hint:] The resolver system is fail-safe concerning localized string retrieval.
-            This means that if a localized cannot be found, the default string
-            will be used.
+            This means that if a localized string cannot be found, the default
+            string will be used.
 
   Each responded string can be localized on a global basis and on a per-locale basis.
Index: FCKeditor.Java/trunk/src/site/apt/properties.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2510)
+++ FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2521)
@@ -35,5 +35,5 @@
   ...
   fckeditor.toolbarSet=Basic
-  connector.userActionImpl=net.fckeditor.requestcycle.impl.UserActionImpl
+  connector.userActionImpl=net.fckeditor.requestcycle.impl.EnabledUserAction
   ...
 +------------------------------------------------------------------------------+
@@ -47,5 +47,5 @@
   PropertiesLoader.setProperty("fckeditor.toolbarSet", "Basic");
   PropertiesLoader.setProperty("connector.userActionImpl",
-                   "net.fckeditor.requestcycle.impl.UserActionImpl");
+                   "net.fckeditor.requestcycle.impl.EnabledUserAction");
   ...
 +------------------------------------------------------------------------------+
@@ -133,10 +133,10 @@
 |								|											|							| other renamed file type.							|
 *-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
-| connector.userActionImpl		| {{{java-core/apidocs/net/fckeditor/requestcycle/impl/FalseUserAction.html}<<<net.fckeditor.requestcycle. | any fully-qualified class	| Provides custom security functions for the File	|
-|								| impl.FalseUserAction>>>}}					| name of a valid {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<UserAction>>>}}  | Browser Connector. For more details see {{{connector.html}here}}. |
+| connector.userActionImpl		| {{{java-core/apidocs/net/fckeditor/requestcycle/impl/DisabledUserAction.html}<<<net.fckeditor.requestcycle. | any fully-qualified class	| Provides custom security functions for the File	|
+|								| impl.DisabledUserAction>>>}}					| name of a valid {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<UserAction>>>}}  | Browser Connector. For more details see {{{useraction.html}here}}. |
 |								|											| implementation			|													|
 *-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
 | connector.userPathBuilderImpl | {{{java-core/apidocs/net/fckeditor/requestcycle/impl/ContextPathBuilder.html}<<<net.fckeditor.requestcycle. | any fully-qualified class	| Provides a custom function for constructing a user-dependent <<<UserFilesPath>>> for the File |
-|								| impl.ContextPathBuilder>>>}}				| name of a valid {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<UserPathBuilder>>>}} | Browser Connector. For more details see {{{connector.html}here}}. |
+|								| impl.ContextPathBuilder>>>}}				| name of a valid {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<UserPathBuilder>>>}} | Browser Connector. For more details see {{{userpathsbuilder.html}here}}. |
 |								|											| implementation			|													|
 *-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
@@ -150,5 +150,5 @@
 || Property							|| Default									|| Valid Values	|| Description                                     ||
 *-----------------------------------+-------------------------------------------+---------------+---------------------------------------------------+
-| localization.localeResolverImpl	| {{{java-core/apidocs/net/fckeditor/localization/impl/AcceptLanguageHeaderResolver.html}<<<net.fckeditor.localization.impl. | any fully-qualified class | Provides localization capabilites for the integration pack. For more details see {{{i18n.html}here}}. |
+| localization.localeResolverImpl	| {{{java-core/apidocs/net/fckeditor/localization/impl/AcceptLanguageHeaderResolver.html}<<<net.fckeditor.localization.impl. | any fully-qualified class | Provides localization capabilites for the integration pack. For more details see {{{localization.html}here}}. |
 |									| AcceptLanguageHeaderResolver>>>}}			| name of a valid {{{java-core/apidocs/net/fckeditor/localization/LocaleResolver.html}<<<LocaleResolver>>>}} |  |
 |									|											| implementation|													|
Index: FCKeditor.Java/trunk/src/site/apt/useraction.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/useraction.apt	(revision 2521)
+++ FCKeditor.Java/trunk/src/site/apt/useraction.apt	(revision 2521)
@@ -0,0 +1,112 @@
+~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
+~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~
+~~ == BEGIN LICENSE ==
+~~
+~~ Licensed under the terms of any of the following licenses at your
+~~ choice:
+~~
+~~  - GNU General Public License Version 2 or later (the "GPL")
+~~    http://www.gnu.org/licenses/gpl.html
+~~
+~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+~~    http://www.gnu.org/licenses/lgpl.html
+~~
+~~  - Mozilla Public License Version 1.1 or later (the "MPL")
+~~    http://www.mozilla.org/MPL/MPL-1.1.html
+~~
+~~ == END LICENSE ==
+~~ @version $Id: connector.apt 2510 2008-10-01 18:35:09Z mosipov $
+                        ------------------------------
+                           File Browser Connector
+                        ------------------------------
+
+Connector activation
+
+  The Connector is not mandatory. If you do <not> plan to provide file
+  interaction, you can skip this section.
+
+    [Hint:] The Connector by default is not present and disabled for security
+            reasons!
+
+  It takes two steps to enable it:
+
+  [[1]]  Declare the ConnectorServlet in your <<<web.xml>>>:
+
++------------------------------------------------------------------------------+
+  <web-app version="2.4">
+    ...
+    <servlet>
+      <servlet-name>Connector</servlet-name>
+        <servlet-class>
+          net.fckeditor.connector.ConnectorServlet
+      </servlet-class>
+      <load-on-startup>1</load-on-startup>
+    </servlet>
+    ...
+    <servlet-mapping>
+      <servlet-name>Connector</servlet-name>
+      <url-pattern>
+        /fckeditor/editor/filemanager/connectors/*
+      </url-pattern>
+    </servlet-mapping>
+    ...
+  </web-app>
++------------------------------------------------------------------------------+
+
+  Assuming you installed the editor in the <<</fckeditor>>> folder in your webapp.\
+  The Connector is now declared but <still> disabled. The response is going to
+  be a localized error message.
+
+  [[2]] Create a <<<fckeditor.properties>>> file in your classpath and add:
+
++------------------------------------------------------------------------------+
+  connector.userActionImpl=net.fckeditor.requestcycle.impl.EnabledUserAction
++------------------------------------------------------------------------------+
+
+  []
+
+  The Connector is now enabled.
+
+  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+Extending the Connector
+
+    [Hint:]  Skip this section if you are not interested in extending the
+             Connector.
+
+  The basic idea of extending the Connector is to provide interfaces for
+  user-dependent interactions which can be implemented by the web application
+  developer. All methods are passed the current <<<HttpServletRequest>>> instance
+  in order to retrieve request and/or session attributes to assemble a user-specific
+  return value. We intentionally do not impose any constraints or indorse any
+  particular implementation approach to give you the freedom to implement the
+  interfaces the way it fits best in your environment.
+
+  Supply the fully-qualified class names of the implementing classes as described
+  in the {{{properties.html}configuration settings}}.
+
+  Right now, the integration pack provides two interfaces to extend the Connector:
+
+  [[1]] {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<net.fckeditor.requestcycle.UserPathBuilder>>>}}
+
+        This interface consists only of one method <<<String getUserFilesPath(final HttpServletRequest)>>>.
+        You are able to construct a user-dependent <<<UserFilesPath>>>, e.g.
+        <<</userfiles/johndoe>>>.
+
+  [[2]] {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<net.fckeditor.requestcycle.UserAction>>>}}
+
+        There are two methods to authorize users to do file-based actions:
+
+        * <<<boolean isEnabledForFileBrowsing(final HttpServletRequest)>>> denoting
+          the user's ability to browse files on the server.
+
+        * <<<boolean isEnabledForFileUpload(final HttpServletRequest)>>> denoting
+          the user's ability to upload files to the server.
+
+        []
+
+        For those who want to enable all users to browse and upload files, there 
+        is a ready-to-use implementation <<<{{{java-core/apidocs/net/fckeditor/requestcycle/impl/UserActionImpl.html}UserActionImpl}}>>>.
+
+  []
+  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Index: FCKeditor.Java/trunk/src/site/apt/userpathsbuilder.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/userpathsbuilder.apt	(revision 2521)
+++ FCKeditor.Java/trunk/src/site/apt/userpathsbuilder.apt	(revision 2521)
@@ -0,0 +1,112 @@
+~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
+~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~
+~~ == BEGIN LICENSE ==
+~~
+~~ Licensed under the terms of any of the following licenses at your
+~~ choice:
+~~
+~~  - GNU General Public License Version 2 or later (the "GPL")
+~~    http://www.gnu.org/licenses/gpl.html
+~~
+~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+~~    http://www.gnu.org/licenses/lgpl.html
+~~
+~~  - Mozilla Public License Version 1.1 or later (the "MPL")
+~~    http://www.mozilla.org/MPL/MPL-1.1.html
+~~
+~~ == END LICENSE ==
+~~ @version $Id: connector.apt 2510 2008-10-01 18:35:09Z mosipov $
+                        ------------------------------
+                           File Browser Connector
+                        ------------------------------
+
+Connector activation
+
+  The Connector is not mandatory. If you do <not> plan to provide file
+  interaction, you can skip this section.
+
+    [Hint:] The Connector by default is not present and disabled for security
+            reasons!
+
+  It takes two steps to enable it:
+
+  [[1]]  Declare the ConnectorServlet in your <<<web.xml>>>:
+
++------------------------------------------------------------------------------+
+  <web-app version="2.4">
+    ...
+    <servlet>
+      <servlet-name>Connector</servlet-name>
+        <servlet-class>
+          net.fckeditor.connector.ConnectorServlet
+      </servlet-class>
+      <load-on-startup>1</load-on-startup>
+    </servlet>
+    ...
+    <servlet-mapping>
+      <servlet-name>Connector</servlet-name>
+      <url-pattern>
+        /fckeditor/editor/filemanager/connectors/*
+      </url-pattern>
+    </servlet-mapping>
+    ...
+  </web-app>
++------------------------------------------------------------------------------+
+
+  Assuming you installed the editor in the <<</fckeditor>>> folder in your webapp.\
+  The Connector is now declared but <still> disabled. The response is going to
+  be a localized error message.
+
+  [[2]] Create a <<<fckeditor.properties>>> file in your classpath and add:
+
++------------------------------------------------------------------------------+
+  connector.userActionImpl=net.fckeditor.requestcycle.impl.EnabledUserAction
++------------------------------------------------------------------------------+
+
+  []
+
+  The Connector is now enabled.
+
+  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+Extending the Connector
+
+    [Hint:]  Skip this section if you are not interested in extending the
+             Connector.
+
+  The basic idea of extending the Connector is to provide interfaces for
+  user-dependent interactions which can be implemented by the web application
+  developer. All methods are passed the current <<<HttpServletRequest>>> instance
+  in order to retrieve request and/or session attributes to assemble a user-specific
+  return value. We intentionally do not impose any constraints or indorse any
+  particular implementation approach to give you the freedom to implement the
+  interfaces the way it fits best in your environment.
+
+  Supply the fully-qualified class names of the implementing classes as described
+  in the {{{properties.html}configuration settings}}.
+
+  Right now, the integration pack provides two interfaces to extend the Connector:
+
+  [[1]] {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<net.fckeditor.requestcycle.UserPathBuilder>>>}}
+
+        This interface consists only of one method <<<String getUserFilesPath(final HttpServletRequest)>>>.
+        You are able to construct a user-dependent <<<UserFilesPath>>>, e.g.
+        <<</userfiles/johndoe>>>.
+
+  [[2]] {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<net.fckeditor.requestcycle.UserAction>>>}}
+
+        There are two methods to authorize users to do file-based actions:
+
+        * <<<boolean isEnabledForFileBrowsing(final HttpServletRequest)>>> denoting
+          the user's ability to browse files on the server.
+
+        * <<<boolean isEnabledForFileUpload(final HttpServletRequest)>>> denoting
+          the user's ability to upload files to the server.
+
+        []
+
+        For those who want to enable all users to browse and upload files, there 
+        is a ready-to-use implementation <<<{{{java-core/apidocs/net/fckeditor/requestcycle/impl/UserActionImpl.html}UserActionImpl}}>>>.
+
+  []
+  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Index: FCKeditor.Java/trunk/src/site/site.xml
===================================================================
--- FCKeditor.Java/trunk/src/site/site.xml	(revision 2510)
+++ FCKeditor.Java/trunk/src/site/site.xml	(revision 2521)
@@ -35,6 +35,6 @@
 		<menu name="Extending the Library">
 			<item name="Overview" href="/ext_overview.html"/>
-			<item name="UserAction" />
-			<item name="UserPathBuilder" />
+			<item name="UserAction" href="/useraction.html" />
+			<item name="UserPathsBuilder" href="/userpathsbuilder.html" />
 			<item name="Localization" href="/localization.html" />
 		</menu>