Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/Dispatcher.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/Dispatcher.java	(revision 2586)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/Dispatcher.java	(revision 2587)
@@ -54,15 +54,17 @@
 import org.slf4j.LoggerFactory;
 
-
 /**
- * This class is calling by {@link ConnectorServlet}. It verifies the request parameters 
- * and forward it to the corresponding {@link Connector} methods. If errors are happened inside these methods,
- * well defined exceptions from {@link net.fckeditor.connector.exception} will be thrown. These exceptions or the return
- * values of {@link Connector} methods will be transfered to the HttpServletResponse object.
+ * This class is called by {@link ConnectorServlet}. It verifies the request
+ * parameters and forwards them to the corresponding {@link Connector} methods.
+ * If an error has occurred inside these methods, well-defined exceptions from
+ * {@link net.fckeditor.connector.exception} will be thrown. These exceptions or
+ * the return values of {@link Connector} methods will be transfered to the
+ * HttpServletResponse object.
  * 
  * @version $Id$
  */
 public class Dispatcher {
-	private static final Logger logger = LoggerFactory.getLogger(Dispatcher.class);
+	private static final Logger logger = LoggerFactory
+			.getLogger(Dispatcher.class);
 	private Connector connector = null;
 	
@@ -76,8 +78,7 @@
 		this.connector.init(servletContext);
 	}
-	
-	
-	/**
-	 * Manage the <code>GET</code> requests (<code>GetFolders</code>,
+
+	/**
+	 * Manages <code>GET</code> requests (<code>GetFolders</code>,
 	 * <code>GetFoldersAndFiles</code>, <code>CreateFolder</code>).<br/>
 	 * 
@@ -85,10 +86,12 @@
 	 * <code>connector?Command=&lt;CommandName&gt;&Type=&lt;ResourceType&gt;&CurrentFolder=&lt;FolderPath&gt;</code>
 	 * <p>
-	 * It executes the relevant commands and then returns the result to the client in XML
-	 * format.
+	 * It executes the relevant commands and then returns the result to the
+	 * client in XML format.
 	 * </p>
 	 */
-	public void doGet(final HttpServletRequest request, final HttpServletResponse response) throws IOException {
+	public void doGet(final HttpServletRequest request,
+			final HttpServletResponse response) throws IOException {
 		logger.debug("Entering Dispatcher#doGet");
+		// TODO do we really need this wrapper?
 		Context context = ThreadLocalData.getContext();
 
@@ -115,28 +118,40 @@
 			
 			// check permissions for user action
-			if ((command.equals(CommandHandler.GET_FOLDERS) || command.equals(CommandHandler.GET_FOLDERS_AND_FILES))
+			if ((command.equals(CommandHandler.GET_FOLDERS) || command
+					.equals(CommandHandler.GET_FOLDERS_AND_FILES))
 					&& !RequestCycleHandler.isEnabledForFileBrowsing())
 				getResponse = GetResponse.getErrorFileBrowsingDisabled();
-			else if (command.equals(CommandHandler.CREATE_FOLDER) && !RequestCycleHandler.isEnabledForFolderCreation())
+			else if (command.equals(CommandHandler.CREATE_FOLDER)
+					&& !RequestCycleHandler.isEnabledForFolderCreation())
 				getResponse = GetResponse.getErrorFolderCreationDisabled();
 			
 			else {
-				
-				// make the connector calls, catch its exceptions and generate the right response object
+				// make the connector calls, catch its exceptions and generate
+				// the proper response object
 				try {
 					if (command.equals(CommandHandler.CREATE_FOLDER)) {
-						String newFolderStr = UtilsFile.sanitizeFolderName(request.getParameter("NewFolderName"));
+						String newFolderStr = UtilsFile
+								.sanitizeFolderName(request
+										.getParameter("NewFolderName"));
 						if (Utils.isEmpty(newFolderStr))
-							getResponse = GetResponse.getErrorInvalidFolderName();
+							getResponse = GetResponse
+									.getErrorInvalidFolderName();
 						else {
-							logger.debug("Parameter NewFolderName: {}", newFolderStr);
-							connector.createFolder(type, context.getCurrentFolderStr(), newFolderStr);
+							logger.debug("Parameter NewFolderName: {}",
+									newFolderStr);
+							connector.createFolder(type, context
+									.getCurrentFolderStr(), newFolderStr);
 							getResponse = GetResponse.getOK();
 						}
-					} else if (command.equals(CommandHandler.GET_FOLDERS) || command.equals(CommandHandler.GET_FOLDERS_AND_FILES)) {
-						// TODO I don't like this code, it has to be more generic
-						String responseUrl = context.buildUrl(ConnectorHandler.getUserFilesPath());
-						getResponse = getFoldersAndFiles(command, type, context.getCurrentFolderStr(), responseUrl); 
-					} else 
+					} else if (command.equals(CommandHandler.GET_FOLDERS)
+							|| command
+									.equals(CommandHandler.GET_FOLDERS_AND_FILES)) {
+						// TODO I don't like this code, it has to be more
+						// generic
+						String responseUrl = context.buildUrl(ConnectorHandler
+								.getUserFilesPath());
+						getResponse = getFoldersAndFiles(command, type, context
+								.getCurrentFolderStr(), responseUrl);
+					} else
 						getResponse = GetResponse.getErrorUnknown();
 				} catch (InvalidCurrentFolderException e) {
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/CommandHandler.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/CommandHandler.java	(revision 2586)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/CommandHandler.java	(revision 2587)
@@ -35,12 +35,17 @@
 	private String name;
 	private static Map<String, CommandHandler> getCommands = new HashMap<String, CommandHandler>(
-	        3);
+			3);
 	private static Map<String, CommandHandler> postCommands = new HashMap<String, CommandHandler>(
-	        2);
-	public static final CommandHandler GET_FOLDERS = new CommandHandler("GetFolders");
-	public static final CommandHandler GET_FOLDERS_AND_FILES = new CommandHandler("GetFoldersAndFiles");
-	public static final CommandHandler CREATE_FOLDER = new CommandHandler("CreateFolder");
-	public static final CommandHandler FILE_UPLOAD = new CommandHandler("FileUpload");
-	public static final CommandHandler QUICK_UPLOAD = new CommandHandler("QuickUpload");
+			2);
+	public static final CommandHandler GET_FOLDERS = new CommandHandler(
+			"GetFolders");
+	public static final CommandHandler GET_FOLDERS_AND_FILES = new CommandHandler(
+			"GetFoldersAndFiles");
+	public static final CommandHandler CREATE_FOLDER = new CommandHandler(
+			"CreateFolder");
+	public static final CommandHandler FILE_UPLOAD = new CommandHandler(
+			"FileUpload");
+	public static final CommandHandler QUICK_UPLOAD = new CommandHandler(
+			"QuickUpload");
 
 	static {
@@ -78,5 +83,6 @@
 	 *             If 'name' is <code>null</code>, empty, or does not exist.
 	 */
-	public static CommandHandler valueOf(final String name) throws IllegalArgumentException {
+	public static CommandHandler valueOf(final String name)
+			throws IllegalArgumentException {
 		if (Utils.isEmpty(name))
 			throw new IllegalArgumentException();
@@ -84,5 +90,6 @@
 		if (!isValidForGet(name) && !isValidForPost(name))
 			throw new IllegalArgumentException();
-		return (getCommands.get(name) != null) ? getCommands.get(name) : postCommands.get(name);
+		return (getCommands.get(name) != null) ? getCommands.get(name)
+				: postCommands.get(name);
 	}
 	
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/ConnectorHandler.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/ConnectorHandler.java	(revision 2586)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/ConnectorHandler.java	(revision 2587)
@@ -40,5 +40,5 @@
 	static {
 		
-		// 3. try to instantiate the Connector object
+		// try to instantiate the Connector object
 		String fqcn = PropertiesLoader.getProperty("connector.implementation");
 		if (fqcn == null)